Discord

Integrate your application with the Discord API

🚀 Quickstart

Connect to Discord with Tenklo and see data flow in 2 minutes.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> Discord.

Authorize Discord

Go to Connections -> Add Test Connection -> Authorize, then log in to Discord. Later, you'll let your users do the same directly from your app.

Call the Discord API

Let's make your first request to the Discord API. Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl "https://api.tenklo.dev/proxy/users/@me" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials with the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own production credentials, follow the setup guide linked below.

📚 Discord Integration Guides

Tenklo maintained guides for common use cases.

Official docs: Discord API docs

🧩 Pre-built syncs & actions for Discord

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Others

Function nameDescriptionTypeSource code
add-guild-member-roleAssign a role to a guild member.Action🔗 Github
create-channelCreate a channel in DiscordAction🔗 Github
create-messageCreate a message in Discord.Action🔗 Github
create-reactionAdd a reaction to a Discord message.Action🔗 Github
create-roleCreate a role in DiscordAction🔗 Github
create-thread-from-messageStart a Discord thread from an existing messageAction🔗 Github
create-webhookCreate a webhook in a Discord channelAction🔗 Github
delete-channelDelete or archive a channel in DiscordAction🔗 Github
delete-guildLeave a guild in Discord. Note: Discord does not allow bots to delete guilds via the API; use this action to have the bot leave a guild instead.Action🔗 Github
delete-guild-memberDelete or archive a guild member in DiscordAction🔗 Github
delete-messageDelete or archive a message in DiscordAction🔗 Github
delete-reactionRemove a reaction from a Discord message.Action🔗 Github
delete-roleDelete a role in a Discord guildAction🔗 Github
delete-webhookDelete a webhook in Discord permanentlyAction🔗 Github
get-channelRetrieve a single channel from DiscordAction🔗 Github
get-guild-memberRetrieve a single guild member from DiscordAction🔗 Github
get-guildRetrieve a single guild from Discord.Action🔗 Github
get-messageRetrieve a single message from Discord.Action🔗 Github
get-roleRetrieve a single role from DiscordAction🔗 Github
get-webhookRetrieve a single webhook from Discord.Action🔗 Github
list-channelsList channels from a Discord guild (server)Action🔗 Github
list-guild-membersList guild members from Discord.Action🔗 Github
list-guildsList guilds from Discord.Action🔗 Github
list-messagesList messages from a Discord channel with optional pagination filtersAction🔗 Github
list-rolesList roles from Discord.Action🔗 Github
list-webhooksList webhooks from a Discord channelAction🔗 Github
remove-guild-member-roleRemove a role from a guild memberAction🔗 Github
update-channelUpdate a Discord channel.Action🔗 Github
update-guild-memberUpdate a guild member in DiscordAction🔗 Github
update-guildUpdate a guild in DiscordAction🔗 Github
update-messageUpdate a message in Discord.Action🔗 Github
update-roleUpdate a role in DiscordAction🔗 Github
update-webhookUpdate a webhook in Discord.Action🔗 Github
channelsSync channels from DiscordSync🔗 Github
guild-membersSync guild members from DiscordSync🔗 Github
guildsSync guilds from Discord.Sync🔗 Github
messagesSync messages from Discord.Sync🔗 Github
rolesSync roles from DiscordSync🔗 Github
webhooksSync webhooks from Discord.Sync🔗 Github

On this page